# Simulations of YM with LatticeGPU.jl

This is a main program to simulate YM `SU(2)` and `SU(3)`
theories. The main porpose is to compare with the existing literature
and validate the code.

## Installation, analysis and storing results

### Installation

1. clone the repo: `git clone https://gitlab.ift.uam-csic.es/alberto/test_latticegpu.jl.git`
2. Start julia and `instantiate` the project:
```julia
julia> import Pkg
julia> Pkg.instantiate("/path/to/test_latticegpu.jl")
julia> using CUDA
julia> A = randn(1000)
julia> Ac = CuArray(1000)
```
	this should install all dependencies and dowload the necessary
	`CUDA` packages. The `Manifest.toml` file guarantees that all runs
	are performed with the same versions of all packages,
	independently on the system where this runs.

### Running simulations 

1. To run a simulation use:
```bash
[user@cluster]$ julia --project=/path/to/test_latticegpu.jl /path/to/test_latticegpu.jl/src/ym.jl -i <input file>
```
2. An example input file is available in `examples/ym.in`

### Results: analysis and storage

Data from testing runs should be collected in the `data` folder. Each
run should be in its own directory. The input file should be included
in this git repository. The `log.gz` and `bdio` files should be stored
in ciclope using `dvc`.

## TODO list

### Screwing with `LatticeGPU`

This section is devoted to repeating small runs with different
parameters (i.e. `block sizes`, strange `geometries` to make sure that
everything works as expected).

### Reproducing numbers in the literature

#### Flow measurements in arXiv1006.4518

- `SU(3)` at $`\beta = 5.96`$ with lattice size $`24^3 \times 48`$,
  periodic boundary conditions:
  - input file: 
  - results: 
  - analysis:
  
